Bug 130769 - X sockets insecure file permissions
X sockets insecure file permissions
Status: CLOSED DUPLICATE of bug 130762
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-24 11:30 EDT by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:05:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-08-24 11:30:02 EDT
There exists an insecure file permissions flaw in the Xorg server
for RHEL2.1 and RHEL3.  When the X server starts, a socket is created
in /tmp/.X11-unix.  The permissions of this file are drwxrwxrwx.

Additionally there are also directories for .font-unix, .ICE-unix
which need proper permissions set as well.

There is a patch for the xfs socket for FC in bug 129622.

This patch creates the xfs socket directory at boot time.  We should
be doing that for all the socket directories.
Comment 1 Bill Nottingham 2004-08-24 11:32:41 EDT
At this point, it probably should just be moved to the filesystem package.
Comment 2 Mike A. Harris 2004-09-21 01:30:07 EDT
Bug https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=130762
needs to be kept in sync with this one.

Comment 4 Mike A. Harris 2004-09-24 02:37:57 EDT

*** This bug has been marked as a duplicate of 130762 ***
Comment 5 Red Hat Bugzilla 2006-02-21 14:05:14 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.